Page MenuHomePhabricator

Replace usage of centralauth-account-exists with userexists
Closed, ResolvedPublic

Description

The proportion of readers who cross the divide to become editors is vanishingly small. If we want to preserve or increase it, we should fret about making the account creation interface as easy to understand as possible. It's especially important to speak plainly and avoid jargon.

The message 'centralauth-account-exists' (en: "Cannot create account: The requested username is already taken in the unified login system.") reveals more about the software implementation than is sensible to reveal to a prospective user -- especially one who just had his or her desired username rejected. We should just use userexists.

Previous discussion here: https://en.wikipedia.org/wiki/MediaWiki_talk:Centralauth-account-exists.

Related Objects

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:56 AM
bzimport set Reference to bz73123.
bzimport added a subscriber: Unknown Object (MLST).
ori created this task.Nov 7 2014, 8:32 AM

Wondering if that's an "easy" or even Google Code-in task (which would need a mentor)? There's only one place in the CentralAuth code where it's used, not sure how to "get"/reuse userexists though.

Reusing the core message is out of question. ;-)

I don't (yet) have an opinion on whether it's really necessary, but the point of the current wording is that the user may search the "conflicting" user on Special:ListUsers and so on and be surprised that there isn't one; or even be the same user, but forget to be registered locally via a central account.

It's easy to make it simpler though: "Cannot create account: The requested username is already taken by a user on another wiki."

(In reply to Nemo from comment #2)

It's easy to make it simpler though: "Cannot create account: The requested
username is already taken by a user on another wiki."

Hmmm. Why would a username being taken on another wiki affect me? I think the proposed simpler wording still leaves room for ambiguity and confusion.

(In reply to MZMcBride from comment #3)

Why would a username being taken on another wiki affect me?

Why wouldn't it?

I think
the proposed simpler wording still leaves room for ambiguity and confusion.

Like?

MZMcBride, that the wikis used completely independent databases and thus usernames would require them to know about the internals, too.

+1 to Comment 2 text.

ori added a comment.Nov 9 2014, 12:16 AM

(In reply to Nemo from comment #2)

I don't (yet) have an opinion on whether it's really necessary, but the
point of the current wording is that the user may search the "conflicting"
user on Special:ListUsers and so on and be surprised that there isn't one;
or even be the same user, but forget to be registered locally via a central
account.

If you know about Special:ListUsers, or if you already have an account, then you probably know where to look for help or whom to ask. If you are a brand new user, we risk losing you if the account creation experience is confusing or bumpy.

With most interface messages, I think it makes sense to accommodate uncommon use-cases, within reason. But I think the account creation interfaces is special, because it's the entry-point for new users. It makes sense to optimize the interface for them.

In October, an average of 66,000 people a day created accounts on Wikimedia wikis. An unknown number did not complete the form. Is there any evidence of the scenario you describe happening more than just once, in 2008? (cf. the talk page in Comment 1)

m4tx claimed this task.Dec 24 2014, 6:38 PM
m4tx lowered the priority of this task from Medium to Low.Dec 24 2014, 6:41 PM
m4tx added a project: good first task.

Change 181751 had a related patch set uploaded (by M4tx):
Make "account exists" message more user-friendly

https://gerrit.wikimedia.org/r/181751

Patch-For-Review

matmarex closed this task as Resolved.Dec 25 2014, 3:02 PM
matmarex updated the task description. (Show Details)
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).

Change 181751 merged by jenkins-bot:
Make "account exists" message more user-friendly

https://gerrit.wikimedia.org/r/181751